Name:           jake
Version:        8.0.10
Release:        3%{?dist}
Summary:        The JavaScript build tool for Node.js

License:        ASL 2.0
URL:            http://jakejs.com/
Source0:        http://registry.npmjs.org/jake/-/jake-%{version}.tgz
# https://github.com/jakejs/jake/pull/277
Source1:        http://www.apache.org/licenses/LICENSE-2.0
Patch0:         jake-man.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(async)
BuildRequires:  npm(chalk)
BuildRequires:  npm(filelist)
BuildRequires:  npm(q)
BuildRequires:  npm(utilities)

%description
Jake is the JavaScript build tool for NodeJS. Jake has been
around since the very early days of Node, and is very full
featured and well tested.


%prep
%setup -q -n jake-v%{version}
%patch0 -p1
cp %{SOURCE1} LICENSE
%nodejs_fixdep async "^0.2.10"
rm -rf node_modules


%build
chmod a+x bin/cli.js


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/jake
cp -pr package.json bin lib %{buildroot}%{nodejs_sitelib}/jake
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/jake/bin/cli.js %{buildroot}%{_bindir}/jake
mkdir -p %{buildroot}%{_mandir}/man1
cp -pr man/jake.1 %{buildroot}%{_mandir}/man1
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} bin/cli.js test


%files
%doc LICENSE README.md
%{nodejs_sitelib}/jake
%{_bindir}/jake
%{_mandir}/man1/*


%changelog
* Tue Nov 25 2014 Tom Hughes <tom@compton.nu> - 8.0.10-3
- Add manual page

* Tue Nov 25 2014 Tom Hughes <tom@compton.nu> - 8.0.10-2
- Remove package name from summary

* Sat Nov 15 2014 Tom Hughes <tom@compton.nu> - 8.0.10-1
- Initial build of 8.0.10
